#ifndef __FRAMEWORK_H__
#define __FRAMEWORK_H__

#define SOH 01
#define EOT 04
#define DLE 16

#define FRAMEWORK_BUFF_SIZE					1000

#define FRAMEWORK_FrameWorkTask 			FrameWorkTask
#define FRAMEWORK_BuildRxFrame  			BuildRxFrame
#define FRAMEWORK_GetTransmitFrame 			GetTransmitFrame
#define FRAMEWORK_ExitFirmwareUpgradeMode 	ExitFirmwareUpgradeMode

// Exported functions
extern void FRAMEWORK_FrameWorkTask(void);
extern void FRAMEWORK_BuildRxFrame(UINT8 *RxData, INT16 RxLen);
extern UINT FRAMEWORK_GetTransmitFrame(UINT8* Buff);
extern BOOL FRAMEWORK_ExitFirmwareUpgradeMode(void);

#endif
